﻿body {
    background: #E7E7E7;
    margin: 0;
    font-family: Montserrat;
}

.sticky-div {
    position: sticky;
    top: 0;
    z-index: 500;
    background: #E7E7E7;
}

.centered {
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.disabled {
    pointer-events: none;
    opacity: 0.5; /* Adjust the opacity to visually indicate the element is disabled */
}

.vendorIcon {
    position: absolute;
    top: 30px;
    left: 30px;
    z-index: 2;
}

h2 {
    color: #515151;
    font-size: 30px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-align: center;
}

h3 {
    color: #515151;
    font-size: 25px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

a {
    border-radius: 14px;
}

form {
    margin-top: 20px;
}

label {
    color: #5E6278;
    font-family: Roboto;
    font-size: 13.891px;
    font-style: normal;
    font-weight: 500;
    line-height: 20.96px; /* 150.893% */
}

input[type="text"],
input[type="date"],
input[type="number"],
input[type="tel"],
input[type="email"],
select[type="text"],
input[type="password"] {
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    width: 100%;
}

input[type="submit"] {
    background-color: #045BA7;
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 6.18px;
    cursor: pointer;
    width: 100%;
    height: 43.56px;
}

/*Login screen  Start*/

.loginbody {
    background: #EAEAEA;
    margin: 0;
    padding: 0;
    /*width: 1920px;*/
    height: 950px;
    overflow: hidden;
}

.logincontainer {
    margin: 100px auto;
    max-width: 356px;
    height: 677px;
    padding: 20px;
    border-radius: 25px;
    background: #FFF;
    position: relative;
    z-index: 2 !important;
    /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/
}

.newLogincontainer {
    position: relative;
    z-index: 2;
    margin: 100px auto;
    max-width: 620px;
    height: 570px;
    padding: 20px;
    border-radius: 25px;
    background: #FFF;
}

.loginHeader {
    color: #68419B;
    font-size: 45px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.loginTitle {
    color: #5E5E5E;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.image-container {
    position: relative;
    /* width: 800px; */
    height: 800px;
    bottom: -200px;
}

.grid {
    position: absolute;
    top: -205px;
    left: 75px;
    width: 90%;
    height: 100%;
    z-index: 1;
}

.globe {
    position: absolute;
    top: 250px;
    left: -155px;
    z-index: 2;
}

.laptop {
    position: absolute;
    top: 75px;
    left: 200px;
    z-index: 2;
    height: 465px;
    width: 575px;
}

.shirt {
    position: absolute;
    top: 4px;
    left: 430px;
    z-index: 2;
}

.printer {
    position: absolute;
    top: 265px;
    left: 645px;
    z-index: 2;
}

.shoe {
    position: absolute;
    top: 350px;
    left: 720px;
    z-index: 2;
}

.vendorItems {
    position: absolute;
    top: 70px;
    left: 480px;
    z-index: 2;
}

.Ellipse1 {
    position: absolute;
    top: 185px;
    left: 825px;
    z-index: 2;
}

.Ellipse2 {
    position: absolute;
    top: 0px;
    left: 730px;
    z-index: 2;
}

.Ellipse3 {
    position: absolute;
    top: -100px;
    left: 805px;
    z-index: 2;
}

.Ellipse4 {
    position: absolute;
    top: -60px;
    left: 690px;
    z-index: 2;
}

.Ellipse5 {
    position: absolute;
    top: 20px;
    left: 630px;
    z-index: 2;
}

.image-container img.animated {
    transition: transform 0.3s ease;
}

    .image-container img.animated:hover {
        transform: scale(1.1);
    }

.rotate {
    animation: rotate-animation 30s linear infinite; /* Continuous rotation */
    height: auto;
}

@keyframes rotate-animation {
    from {
        transform: rotate(0deg); /* Start position */
    }

    to {
        transform: rotate(360deg); /* End position */
    }
}

/*Login screen  End*/


.welcome-div {
    position: absolute;
    top: 0;
    left: 200px;
    background-color: transparent;
    color: black;
    padding: 0px 72px;
    font-size: 20px;
    z-index: 1500;
}

.header {
    background: #E7E7E7;
    color: white;
    display: flex;
    justify-content: flex-end;
    padding: 10px 70px;
    height: 70px;
}

.profileTabHeader {
    border-radius: 23px;
    background: #FFF;
    height: 54px;
    display: flex;
    align-items: center; /* Center the items vertically */
}

.profilePhoto {
    border-radius: 50%; /* Make the image circular */
    width: 40px; /* Adjust size as needed */
    height: 40px; /* Adjust size as needed */
    margin-right: 10px; /* Space between photo and text */
}

.profileDropdown {
    padding: 16px 15px 15px !important;
    width: 230px !important;
    position: absolute !important;
    inset: 11px -8px auto auto !important;
    margin: 0px !important;
    transform: translate(0px, 35px) !important;
    border-radius: 23px;
}

.profileInfo {
    display: flex;
    flex-direction: column; /* Stack the label and email vertically */
}

.headerMail {
    color: #A4A4A4;
    font-size: 10px;
    font-weight: 500;
    line-height: normal;
}

.sidebar {
    position: fixed;
    left: 0;
    top: 0;
    width: 240px;
    height: 100%;
    background-color: #f8f9fa;
    padding-top: 60px;
    z-index: 1000;
}

.content {
    margin-left: 200px;
    padding: 0px 70px;
}

.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #f8f9fa;
    padding: 10px 20px;
    text-align: center;
}

.menu-link {
    line-height: normal;
    display: block;
    padding: 25px;
    font-weight: 600;
    text-decoration: none;
    color: #333;
    padding-bottom: 25px;
    font-size: 14px;
}

    .menu-link:hover {
        text-decoration: none;
        background: #8964D8;
        color: white;
    }

        .menu-link:hover svg path {
            fill: white;
        }

.dashBoardCards {
    position: relative;
    width: 256px;
    height: 110px;
    flex-shrink: 0;
    border-radius: 21px;
    border: 1px solid #439F89;
    background: #FFF;
    box-sizing: border-box;
    margin: 3px;
}

.cardTitle {
    font-size: 15px;
    font-weight: 700;
    position: absolute;
    padding-top: 10px;
}

.cardValue {
    font-size: 36px;
    font-weight: 700;
    position: relative;
    z-index: 1;
    text-align: center;
    padding: 26px 0px;
    padding-left: 115px;
}

.cardSpiral {
    position: absolute;
    left: 72%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 110px;
    opacity: 0.54;
    z-index: 0;
}

.notificationCard {
    overflow: scroll;
    max-height: 295px;
    flex-shrink: 0;
    border-radius: 21px;
    background: #FFF;
}

.notification-container {
    display: flex; /* Use flexbox to align items in a row */
    align-items: baseline;
}

.notificationSubject {
    overflow: hidden; /* Hide overflow text */
    text-overflow: ellipsis; /* Optionally add ellipsis for overflow text */
    max-width: 100%; /* You can adjust the width based on your design */
    color: #515151;
    padding-bottom: 5px;
}

.sticky-header {
    position: sticky;
    top: 0; /* Adjust the top value as necessary */
    background-color: white; /* Optional: set a background color */
    z-index: 10; /* Optional: to ensure it stays above other content */
    background-color: #FFF !important;
}

p {
    color: #515151;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: 112.575%; /* 11.257px */
}

button {
    width: 116px;
    height: 38px;
    border-radius: 9px;
    font-weight: 500;
    margin-right: 10px;
}

    button.reset {
        color: #316BA1;
        border: 1px solid #316BA1;
        background: #FFF;
    }

    button.close {
        color: #9E2222;
        border: 1px solid #9E2222;
        background: #FFF;
    }

    button.normal {
        background: #316BA1;
        color: #FFF;
        border: 0;
    }

    button.delete {
        border-radius: 9px;
        border: 1px solid #9B3A3A;
        color: #9B3A3A;
        background: #FFF;
    }

    button.download {
        border-radius: 9px;
        background: #348454;
        color: #FFF;
        border-width: 0px;
    }

.listPage {
    border-radius: 21px;
    background: #FFF;
}

ul {
    display: flex;
    justify-content: center;
}

.liTabHeaders {
    color: #515151;
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
}

.rectangleIcon {
    width: 13px;
    height: 27px;
    border-radius: 5px;
    background: #44A4DA;
}

.createButton {
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    width: auto;
    display: inline-block;
    text-align: center;
    text-decoration: none;
    margin-left: auto;
    border-radius: 8.839px;
    background: #316BA1;
}

    .createButton:hover {
        text-decoration: none;
        color: white;
        transform: scale(1.02);
    }

.tableHeader {
    color: #9F9F9F;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
}

.tableRow {
    color: #515151;
    font-size: 14px;
    font-weight: 510;
    line-height: 112.575%;
}

.line {
    width: 100%;
    height: 0.8px;
    background: #969696;
}


.gridstatus {
    display: inline-block;
    width: 162px;
    color: #FFF;
    text-align: center;
    border-radius: 10px;
    padding-top: 8px;
    border: 1px solid #ccc;
    margin: 5px;
}


    .gridstatus.red {
        background: #B63535;
        height: 32px;
        padding: 7px;
        color: #FFF;
        font-weight: 500;
    }

    .gridstatus.green {
        background: #5E8E63;
        height: 32px;
        padding: 7px;
        color: #FFF;
        font-weight: 500;
    }

.row {
    padding-right: 5px;
}

.navTabs {
    border-radius: 21px;
    background: #FFF;
}

.nav-tabs .nav-link {
    margin-bottom: -1px !important;
    background: none !important;
    border: 1px solid transparent !important;
    border-top-left-radius: 0.65rem !important;
    border-top-right-radius: 0.65rem !important;
    height: 55px !important;
    padding-top: 18px !important;
    text-align: center !important;
}

.nav-tabs {
    border-bottom: 0px solid #EFF2F5 !important;
    font-weight: 600 !important;
    padding-top: 5px !important;
}

.nav-item :hover {
    color: #323334 !important;
    border-radius: 10px !important;
    border-color: #0f6e93 !important;
}

.nav-link.active, .nav-tabs .nav-item.show .nav-link {
    border-bottom: 0px solid #EFF2F5 !important;
    color: #e9eaf1 !important;
    background-color: #0f6e93 !important;
    border-color: #E4E6EF #E4E6EF #ffffff !important;
    border-radius: 10px;
}

.button-container {
    display: flex;
    justify-content: flex-end;
    padding-top: 5px;
    padding-bottom: 45px;
}

.svgMenulink {
    width: 20px;
    height: 20px;
}

.labelBadge {
    border-radius: 11px;
    background: #E1FBFF;
    font-weight: 600;
    padding: 10px;
    padding-right: 30px;
}

.labelBadgeGrey {
    border-radius: 11px;
    background: #EDEDED;
    font-weight: 600;
    padding: 10px;
    padding-right: 30px;
}

.tableCondainer {
    padding: 20px 30px;
}

.table tr {
    height: 45px !important;
    border-top: 1px solid #BEBEBE;
    border-left: none;
    border-right: none;
    border-bottom: none;
}

    .table tr:first-child {
        border: none;
    }

.subtotal {
    text-align: right;
    background-color: #f9f9f9;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    font-weight: 600;
}

.bidbadge-secondary {
    color: #3F4254;
    background-color: #E4E6EF;
    border-radius: 6px;
    background: #E0F2FF;
    height: 32px;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
}

.slide-container {
    position: fixed;
    top: -705px; /* Start offscreen at the top */
    left: 50%; /* Center horizontally */
    transform: translateX(-50%); /* Adjust position to keep it centered */
    background-color: white; /* Background color */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5); /* Adjust shadow for top sliding */
    transition: top 0.3s ease; /* Smoother top sliding animation */
    z-index: 9999; /* Ensure it is on top */
    padding: 20px; /* Adding some padding */
    box-sizing: border-box; /* Include padding in width/height calculations */
    border-radius: 21px;
    background: #FFF;
}

    .slide-container.show {
        top: 135px; /* Slide in to view */
    }

/* Close button styling */
.slidecloseButton {
    position: absolute;
    top: 20px;
    right: 20px;
    fill: #757575;
}

    .slidecloseButton:hover {
        fill: #BA1212;
    }

.modal.fade {
    display: none;
}

.modal.ng-show {
    display: block;
}

#spinner {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
    display: none;
}

#clock {
    border-radius: 21px;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    font-size: 70px;
    margin: 4px;
    text-align: center;
    border: 2px solid #dbdbdb;
    font-weight: 600;
}

.currSignBadge {
    font-size: .8rem;
    padding-right: .1rem;
    background-color: #630332;
    padding: .2rem .5rem;
    color: white;
    margin-right: .2rem;
    font-weight: bold;
}

.rfqList {
    border: 1px solid #525252 !important;
}

textarea {
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
    width:100%;
    height:100%;
}
